HPSS Logo
Prerequisite Software for HPSS
Page updated February 19, 2014

This page lists the various types of prerequisite software that are needed for current and upcoming HPSS Releases/patches:

To determine the prerequisite software components that are needed for a specific installation, please view the HPSS Compatibility Table.

General Requirements

Secure Shell (ssh)

This software is required so that the IBM customer support personnel can have secure remote access to the customer's core server node. All HPSS servers in Houston will be configured with the freeware ssh version 2.0. Therefore, if HPSS Customer Support has remote access to your site, you must have the compatible ssh server software components so that the HPSS Customer Support representatives can initiate ssh and secure file transfer sessions directly from the IBM Houston HPSS servers. This will mean NO change to most of the sites that are currently using ssh.Ssh is a secure login program that uses strongcryptography for protecting all transmitted confidential data, including passwords, binary files, and administrative commands. As a part of ssh, the scp (Safe Copy) should be used for all file transferring.

Customer sites need to:

  • Install and configure the ssh server components on their HPSS servers
  • Include the Houston subnet IP address, 192.94.47, into firewall routing rules of the site, as necessary.

Ssh information:

  • FTP sites for ssh freeware:
  • ftp://ftp.cs.hut.fi/pub/ssh
  • ftp://ftp.net.ohio-state.edu/pub/security/ssh
  • ftp://ftp/gw.com/pub/unix/ssh
  • Commercial ssh site: http://www.ssh.fi

FAQ: http://www.employees.org/~satch/ssh/faq

VFS (for RHEL 6 clients)

 

VFS for RHEL 6 clients require both the hpssfs-lkm and hpssfs RPM's. Source RPM's for the hpssfs-lkm packages are provided below. Source RPM's for the hpssfs packages may be obtained from your support representative.

HPSS/VFS Compatibility Matrix
HPSS
HPSSFS Linux Kernel Module
HPSSFS Daemon
RHEL
7.3.3p8 hpssfs-lkm-1.1.0.0-0.src.rpm
vfs.1.1.0.0_README
hpssfs-1.1.0.0-0.src.rpm 6.3
7.3.3p8 hpssfs-lkm-1.1.0.1-0.src.rpm
vfs.1.1.0.1_README
hpssfs-1.1.0.1-0.src.rpm 6.3
7.3.3p9 hpssfs-lkm-1.1.0.0-0.src.rpm
vfs.1.1.0.0_README
hpssfs-1.1.0.0-0.src.rpm 6.3
7.3.3p9 hpssfs-lkm-1.1.0.1-0.src.rpm
vfs.1.1.0.1_README
hpssfs-1.1.0.1-0.src.rpm 6.3 & 6.4
7.3.3p9 hpssfs-lkm-1.1.0.2-0.src.rpm
vfs.1.1.0.2-0_README
hpssfs-1.1.0.2-0.src.rpm 6.3 & 6.4
7.4.1 hpssfs-lkm-1.1.0.0-0.src.rpm
vfs.1.1.0.0_README
hpssfs-1.1.0.0-0.src.rpm 6.3
7.4.1p1 hpssfs-lkm-1.1.0.1-0.src.rpm
vfs.1.1.0.1_README
hpssfs-1.1.0.1-0.src.rpm 6.4
7.4.1p2 hpssfs-lkm-1.1.0.2-0.src.rpm
vfs.1.1.0.2-0_README
hpssfs-1.1.0.2-0.src.rpm 6.4
7.4.2 hpssfs-lkm-1.1.1.0-0.src.rpm
vfs.1.1.1.0-0_README
hpssfs-1.1.1.0-0.src.rpm 6.4

Note: Upgrading to a previous/older release is strongly discouraged.

 

HPSS 7.3.3

Prerequisite Software for HPSS Servers and Movers on AIX

AIX 6.1

Contact your AIX support representative to obtain the latest maintenance level. HPSS 7.3.3 was verified on AIX 6.1 (6100-05-05_AIX_ML TL5 SP5 which consists of Technology Level 5 and Service Pack 5 & 6100-06_03_AIX_ML TL6 SP3 which consists of Technology Level 6 and Service Pack 3).

Note: Site must purchase software and support.

HACMP

HACMP 5.4, if you purchased the High Availability HPSS option.

HACMP 5.4, if you purchased the High Availability HPSS option.

IBM DB2 Universal Database

DB2 UDB version 9.5 FixPack 7 for AIX(64-bit instance). Contact your HPSS support representative to obtain the software.

Note: Software and support included with HPSS; license for HPSS use only.

MIT Kerberos

MIT Kerberos 5, Release 1.6.3, if you are using Kerberos authentication.

Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in MIT Kerberos.

LDAP

OpenLDAP 2.3, if you are using LDAP authorization.

Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

Java

Java 6 SDK (Software Development Kit).

Java 6 may be downloaded for AIX from http://www.ibm.com/developerworks/java/jdk/aix/service.html

Note: Java is included with AIX OS; updates should be downloaded from the web site.

HPSSGUI Clients supported on:

AIX

Linux

Windows

Perl Version 5.8

The Perl software can be obtained from http://www.perl.com/

AIX C Compiler

IBM XL C Compiler 10.1.0.0 (C Compiler for AIX)

Note: Site must purchase; license is needed for core, mover and clients that develop programs with client API.

Secure Shell (ssh)

Refer to the General Requirements section for more details

 

Prerequisite Software for HPSS Servers and Movers on Linux

Red Hat


Red Hat Enterprise Linux EL release 5 (Update 5 or 6)

Note: Site must purchase OS and support.

IBM DB2 Universal Database


DB2 UDB version 9.5 FixPack 7 Enterprise Server Edition for Linux (64-bit instance). Contact your HPSS support representative to obtain the software.

Note: Software and support included with HPSS; license is for HPSS use only.

Kerberos


Kerberos 1.6.1 or 1.6.3 (installed with OS), the one that is supplied with the OS if you are using Kerberos authentication

Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in Kerberos.

Open LDAP


OpenLDAP 2.3, if you are using LDAP authorization.

Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

Java

Java 6 SDK (Software Development Kit).

Note: Java is included with Red Hat OS; updates should be downloaded from the web site.

Perl Version 5.8


The Perl software can be obtained from http://www.perl.com/

C Compiler


gcc compiler version 4.1.2

Note: gss is included with the Linux OS; support is with OS.

HPSS 7.3.2

Prerequisite Software for HPSS Servers and Movers on AIX

AIX 6.1

Contact your AIX support representative to obtain the latest maintenance level. HPSS 7.3.2 was verified on AIX 6.1 (6100-03_AIX_ML which consists of Technology Level 3 and Service Pack 1).

Note: Site must purchase software and support.

HACMP

HACMP 5.4, if you purchased the High Availability HPSS option.

HACMP 5.4, if you purchased the High Availability HPSS option.

IBM DB2 Universal Database

DB2 UDB version 9.5 FixPack 4 for AIX(64-bit instance). Contact your HPSS support representative to obtain the software.

Note: Software and support included with HPSS; license for HPSS use only.

MIT Kerberos

MIT Kerberos 1.6.3, if you are using Kerberos authentication.

Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in MIT Kerberos.

LDAP

OpenLDAP 2.3, if you are using LDAP authorization.

Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

Java

Java 6 SDK (Software Development Kit).

Java 6 may be downloaded for AIX from http://www.ibm.com/developerworks/java/jdk/aix/service.html

Note: Java is included with AIX OS; updates should be downloaded from the web site.

HPSSGUI Clients supported on:

AIX

Linux

Windows

Perl Version 5.8

The Perl software can be obtained from http://www.perl.com/

AIX C Compiler

IBM XL C Compiler 10.1.0.0 (C Compiler for AIX)

Note: Site must purchase; license is needed for core, mover and clients that develop programs with client API.

Secure Shell (ssh)

Refer to the General Requirements section for more details

Prerequisite Software for HPSS Movers on SGI IRIX

SC4-IRIX-6.5(IRIX Operating System and latest patch set recommended by SGI)

SCI XIO or PCI HIPPI driver software, if using HIPPI for the high speed network

LTO tape driver software as contained in IRIX APD(Asynchronous Personality Daemon), if required.

Sony GY-8240 tape driver software as contained in IRIX APD(Asynchronous Personality Daemon, if required

Ampex DST tape driver software, if required

Prerequisite Software for HPSS Servers and Movers on Linux

Red Hat


Red Hat Enterprise Linux AS release 5(Update 4)

Note: Site must purchase OS and support.

IBM DB2 Universal Database


DB2 UDB version 9.5 FixPack 4 Enterprise Server Edition for Linux (64-bit instance). Contact your HPSS support representative to obtain the software.

Note: Software and support included with HPSS; license is for HPSS use only.

Kerberos


Kerberos 1.6.1 (installed with OS), the one that is supplied with the OS if you are using Kerberos authentication

Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in Kerberos.

Open LDAP


OpenLDAP 2.3, if you are using LDAP authorization.

Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

Java

Java 6 SDK (Software Development Kit).

Note: Java is included with Red Hat OS; updates should be downloaded from the web site.

Perl Version 5.8


The Perl software can be obtained from http://www.perl.com/

C Compiler


gcc compiler version 4.1.2

Note: gss is included with the Linux OS; support is with OS.

HPSS 7.3.1

Prerequisite Software for HPSS Servers and Movers on AIX

AIX 6.1

Contact your AIX support representative to obtain the latest maintenance level. HPSS 7.3.1 was verified on AIX 6.1 (6100-03_AIX_ML which consists of Technology Level 3 and Service Pack 1).

Note: Site must purchase software and support.

HACMP

HACMP 5.4, if you purchased the High Availability HPSS option.

HACMP 5.4, if you purchased the High Availability HPSS option.

IBM DB2 Universal Database

DB2 UDB version 9.5 FixPack 4 for AIX(64-bit instance). Contact your HPSS support representative to obtain the software.

Note: Software and support included with HPSS; license for HPSS use only.

MIT Kerberos

MIT Kerberos 1.6.3, if you are using Kerberos authentication.

Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in MIT Kerberos.

LDAP

OpenLDAP 2.3, if you are using LDAP authorization.

Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

Java

Java 6 SDK (Software Development Kit).

Java 6 may be downloaded for AIX from http://www.ibm.com/developerworks/java/jdk/aix/service.html

Note: Java is included with AIX OS; updates should be downloaded from the web site.

HPSSGUI Clients supported on:

AIX

Linux

Windows

Perl Version 5.8

The Perl software can be obtained from http://www.perl.com/

AIX C Compiler

IBM XL C Compiler 10.1.0.0 (C Compiler for AIX)

Note: Site must purchase; license is needed for core, mover and clients that develop programs with client API.

Secure Shell (ssh)

Refer to the General Requirements section for more details

Prerequisite Software for HPSS Movers on SGI IRIX

SC4-IRIX-6.5(IRIX Operating System and latest patch set recommended by SGI)

SCI XIO or PCI HIPPI driver software, if using HIPPI for the high speed network

LTO tape driver software as contained in IRIX APD(Asynchronous Personality Daemon), if required.

Sony GY-8240 tape driver software as contained in IRIX APD(Asynchronous Personality Daemon, if required

Ampex DST tape driver software, if required

Prerequisite Software for HPSS Servers and Movers on Linux

Red Hat


Red Hat Enterprise Linux AS release 5(Update 4)

Note: Site must purchase OS and support.

IBM DB2 Universal Database


DB2 UDB version 9.5 FixPack 4 Enterprise Server Edition for Linux (64-bit instance). Contact your HPSS support representative to obtain the software.

Note: Software and support included with HPSS; license is for HPSS use only.

Kerberos


Kerberos 1.6.1 (installed with OS), the one that is supplied with the OS if you are using Kerberos authentication

Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in Kerberos.

Open LDAP


OpenLDAP 2.3, if you are using LDAP authorization.

Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

Java

Java 6 SDK (Software Development Kit).

Note: Java is included with Red Hat OS; updates should be downloaded from the web site.

Perl Version 5.8


The Perl software can be obtained from http://www.perl.com/

C Compiler


gcc compiler version 4.1.2

Note: gss is included with the Linux OS; support is with OS.


HPSS 7.3.0

Prerequisite Software for HPSS Servers and Movers on AIX

AIX 6.1

Contact your AIX support representative to obtain the latest maintenance level. HPSS 7.1. was verified on AIX 6.1 (6100-03_AIX_ML which consists of Technology Level 3 and Service Pack 1).

Note: Site must purchase software and support.

HACMP

HACMP 5.4, if you purchased the High Availability HPSS option.

HACMP 5.4, if you purchased the High Availability HPSS option.

IBM DB2 Universal Database

DB2 UDB version 9.5 FixPack 4 for AIX(64-bit instance). Contact your HPSS support representative to obtain the software.

Note: Software and support included with HPSS; license for HPSS use only.

MIT Kerberos

MIT Kerberos 1.6.3, if you are using Kerberos authentication.

Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in MIT Kerberos.

LDAP

OpenLDAP 2.3, if you are using LDAP authorization.

Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

Java

Java 6 SDK (Software Development Kit).

Java 6 may be downloaded for AIX from http://www.ibm.com/developerworks/java/jdk/aix/service.html

Note: Java is included with AIX OS; updates should be downloaded from the web site.

HPSSGUI Clients supported on:

AIX

Linux

Windows

Perl Version 5.8

The Perl software can be obtained from http://www.perl.com/

AIX C Compiler

IBM XL C Compiler 10.1.0.0 (C Compiler for AIX)

Note: Site must purchase; license is needed for core, mover and clients that develop programs with client API.

Secure Shell (ssh)

Refer to the General Requirements section for more details

Prerequisite Software for HPSS Movers on SGI IRIX

SC4-IRIX-6.5(IRIX Operating System and latest patch set recommended by SGI)

SCI XIO or PCI HIPPI driver software, if using HIPPI for the high speed network

LTO tape driver software as contained in IRIX APD(Asynchronous Personality Daemon), if required.

Sony GY-8240 tape driver software as contained in IRIX APD(Asynchronous Personality Daemon, if required

Ampex DST tape driver software, if required

Prerequisite Software for HPSS Servers and Movers on Linux

Red Hat


Red Hat Enterprise Linux AS release 5(Update 4)

Note: Site must purchase OS and support.

IBM DB2 Universal Database


DB2 UDB version 9.5 FixPack 4 Enterprise Server Edition for Linux (64-bit instance). Contact your HPSS support representative to obtain the software.

Note: Software and support included with HPSS; license is for HPSS use only.

Kerberos


Kerberos 1.6.1 (installed with OS), the one that is supplied with the OS if you are using Kerberos authentication

Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in Kerberos.

Open LDAP


OpenLDAP 2.3, if you are using LDAP authorization.

Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

Java

Java 6 SDK (Software Development Kit).

Note: Java is included with Red Hat OS; updates should be downloaded from the web site.

Perl Version 5.8


The Perl software can be obtained from http://www.perl.com/

C Compiler


gcc compiler version 4.1.2

Note: gss is included with the Linux OS; support is with OS.

HPSS 7.1.1

Prerequisite Software for HPSS Servers and Movers on AIX

AIX 6.1

Contact your AIX support representative to obtain the latest maintenance level. HPSS 7.1. was verified on AIX 6.1 (6100-02_AIX_ML with Technology Level 2 and Service Pack 2).

Note: Site must purchase software and support.

HACMP

HACMP 5.4, if you purchased the High Availability HPSS option.

HACMP 5.4, if you purchased the High Availability HPSS option.

IBM DB2 Universal Database

DB2 UDB version 9.5 FixPack 3b for AIX(64-bit instance). Contact your HPSS support representative to obtain the software.

Note: Software and support included with HPSS; license for HPSS use only.

MIT Kerberos

MIT Kerberos 1.6.3, if you are using Kerberos authentication.

Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in MIT Kerberos.

MIT Kerberos

Tivoli Directory Server v6.2, if you are using LDAP authorization.

Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

Java

Java 5 SDK (Software Development Kit).

Java 5 may be downloaded for AIX from http://www.ibm.com/developerworks/java/jdk/aix/service.html

Note: Java is included with AIX OS; updates should be downloaded from the web site.

HPSSGUI Clients supported on:

AIX

Linux

Windows

Perl Version 5.8

The Perl software can be obtained from http://www.perl.com/

AIX C Compiler

IBM XL C Compiler 9.0 (C Compiler for AIX)

Note: Site must purchase; license is needed for core, mover and clients that develop programs with client API.

Secure Shell (ssh)

Refer to the General Requirements section for more details

Prerequisite Software for HPSS Movers on SGI IRIX

SC4-IRIX-6.5(IRIX Operating System and latest patch set recommended by SGI)

SCI XIO or PCI HIPPI driver software, if using HIPPI for the high speed network

LTO tape driver software as contained in IRIX APD(Asynchronous Personality Daemon), if required.

Sony GY-8240 tape driver software as contained in IRIX APD(Asynchronous Personality Daemon, if required

Ampex DST tape driver software, if required

Prerequisite Software for HPSS Servers and Movers on Linux

Red Hat


Red Hat Enterprise Linux AS release 5(Nahant Update 2 kernel 2.6.18-92.el5smp 64 bit or 32 bit)

Note: Site must purchase OS and support.

IBM DB2 Universal Database


DB2 UDB version 9.5 FixPack 3b Enterprise Server Edition for Linux (64-bit instance). Contact your HPSS support representative to obtain the software.

Note: Software and support included with HPSS; license is for HPSS use only.

Kerberos


Kerberos 1.6.3 (installed with OS), the one that is supplied with the OS if you are using Kerberos authentication

Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in Kerberos.

IBM Tivoli Directory Server


Tivoli Directory Server v6.2, if you are using LDAP authorization.

Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

Java

Java 5SDK (Software Development Kit).

Note: Java is included with Red Hat OS; updates should be downloaded from the web site.

Perl Version 5.8


The Perl software can be obtained from http://www.perl.com/

C Compiler


gcc compiler version 4.2.1

Note: gss is included with the Linux OS; support is with OS.


Additional Prerequisites for GHI systems running on AIX 5.3 or Red Hat EL 4

GPFS Version 3.2.0.3

HTAR Version 3.4

Note: GHI is an additional feature not included in the standard HPSS package.

 

HPSS 6.2.2

Prerequisite Software for HPSS Servers and Movers on AIX

AIX 5.2 or AIX 5.3

Contact your AIX support representative to obtain the latest maintenance level. HPSS 6.2.2 was verified on AIX 5.3 (5300-06_AIX_ML).

Note: Site must purchase software and support.

HACMP

HACMP 5.4, if you purchased the High Availability HPSS option.

HACMP 5.4, if you purchased the High Availability HPSS option.

IBM DB2 Universal Database

DB2 UDB version 9.1 FixPack 3 for AIX(64-bit instance). Contact your HPSS support representative to obtain the software.

Note: Software and support included with HPSS; license for HPSS use only.

MIT Kerberos

MIT Kerberos 1.3.5, if you are using Kerberos authentication.

Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in MIT Kerberos.

MIT Kerberos

Tivoli Directory Server v6.0, if you are using LDAP authorization.

Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

Java

Either Java 1.4.2 JRE (Java Runtime Environment) OR Java 1.4.2 SDK (Software Development Kit). (The JRE is a subset of the SDK. The entire SDK is required to recompile HPSS.)
32 bit: Upgrade to at least IBM Java build ca142-20060421 ( SR 5) which is APAR IY84053.
Recommend to upgrade to the newest build of Java 1.4.2.

HPSSGUI Clients supported on:

  • AIX
  • Linux
  • Windows

Perl Version 5.8

The Perl software can be obtained from http://www.perl.com/

AIX C Compiler

IBM XL C Compiler 9.0 (C Compiler for AIX)

Note: Site must purchase; license is needed for core, mover and clients that develop programs with client API.

Software Drivers for Communications Adapters (as required)

  • High Performance Parallel Interface Drivers Group (HIPPI/6000) (IBM Program Number 5765-551) (if IBM microchannel HIPPI adapter is required). (This should work, but we have not tested with HPSS 6.2.2)

Tape Device Drivers (as required)

  • IBM 3590/3590E/3592,TS1120/3580(LTO Gen 1, Gen 2, Gen 3) (SCSI) - IBM AIX Enhanced Tape and Medium Changer Device Driver (Atape 9.1.0.0) and IBM Automated Tape Library Device Driver (atldd). If use SCSI PVR, the library device driver is not required.
  • Sun/StorageTek 9840/9940/T10000 - StorageTek Automated Cartridge System Library Software (ACSLS) Level 7.0 and AIX OST device driver. If use SCSI PVR, the library device driver is not required.
  • ADIC Automated Media Library (AML) - ADIC Distributed AML Server (DAS) and ABBA (AMU). (HPSS AML PVR is a special bid feature. Use of this feature must be negotiated with IBM. This feature was not tested for Release 6.2). Use of SCSI PVR with ADIC i500 was tested for Release 6.2.2.

Secure Shell (ssh)

Refer to the General Requirements section for more details

Prerequisite Software for HPSS Movers on SGI IRIX

  • SC4-IRIX-6.5(IRIX Operating System and latest patch set recommended by SGI)
  • SCI XIO or PCI HIPPI driver software, if using HIPPI for the high speed network
  • LTO tape driver software as contained in IRIX APD(Asynchronous Personality Daemon), if required.
  • Sony GY-8240 tape driver software as contained in IRIX APD(Asynchronous Personality Daemon, if required
  • Ampex DST tape driver software, if required

Prerequisite Software for HPSS Mover and Clients on Sun

  • Solaris 9

Prerequisite Software for HPSS Servers and Movers on Linux

  • Red Hat

    Red Hat Enterprise Linux AS release 4 (Nahant Update 5)

    Note: Site must purchase OS and support.

  • IBM DB2 Universal Database

    DB2 UDB version 9.1 FixPack 3 Enterprise Server Edition for Linux (64-bit instance). Contact your HPSS support representative to obtain the software.

    Note: Software and support included with HPSS; license is for HPSS use only.

  • Kerberos

    Kerberos 1.3.4-10 (installed with OS), the one that is supplied with the OS if you are using Kerberos authentication

    Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in Kerberos.
  • IBM Tivoli Directory Server

    Tivoli Directory Server v6.0, if you are using LDAP authorization.

    Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

  • Java

    Either Java 1.4.2_06 for Linux JRE (Java Runtime Environment) OR Java 1.4.2 SDK (Software Development Kit). (The JRE is a subset of the SDK. The entire SDK is required to recompile HPSS.)
    Upgrade to J2SE 1.4.2_11 or later within the Java 1.4.2 set of fixes/releases.

  • Perl Version 5.8

    The Perl software can be obtained from http://www.perl.com/

  • C Compiler

    gcc compiler version 4.2.1

    Note: gss is included with the Linux OS; support is with OS.

  • Tape Device Drivers (as required)

    Note: The native device driver provided with Red Hat will be used for all HPSS supported drives.
    • Sun/StorageTek 9840/9940/T10000 - StorageTek Automated Cartridge System Library Software (ACSLS) Level 7.0 if the Sun STK PVR is used. If the SCSI PVR is used, the library device driver is not required.

  • Secure Shell (ssh)Refer to the General Requirements section for more details.

Additional Prerequisites for GHI systems running on AIX 5.3 or Red Hat EL 4

  • GPFS Version 3.2.0.3
  • HTAR Version 3.4

    Note: GHI is an additional feature not included in the standard HPSS package.

HPSS 6.2

Prerequisite Software for HPSS Servers and Movers on AIX

  • AIX 5.2 or AIX 5.3

    Contact your AIX support representative to obtain the latest maintenance level. HPSS 6.2 was verified on AIX 5.2 with maintenance level 6 and on AIX 5.3 with no maintenance level.

    Note: Site must purchase software and support.

  • HACMP

    HACMP 5.2, if you purchased the High Availability HPSS option. This should work, but not tested for HPSS 6.2.

    Note: Site must purchase software and support.

  • IBM DB2 Universal Database

    DB2 UDB version 8.2.2 for AIX. Note: Fixpack 9a for DB2 8.1 is the same as DB2 UDB Version 8.2.2. Contact your HPSS support representative to obtain the software.

    Note: Software and support included with HPSS; license for HPSS use only.

  • MIT Kerberos

    MIT Kerberos 1.3.5, if you are using Kerberos authentication.

    Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in MIT Kerberos.

  • IBM Tivoli Directory Server

    Tivoli Directory Server v6.0, if you are using LDAP authorization.

    Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

  • Java

    Either Java 1.4.2 JRE (Java Runtime Environment) OR Java 1.4.2 SDK (Software Development Kit). (The JRE is a subset of the SDK. The entire SDK is not required, unless need to recompile HPSS.)

  • HPSSGUI Clients supported on:
    • AIX
    • Linux
    • Windows
  • Perl Version 5.8

    The Perl software can be obtained from http://www.perl.com/

  • AIX C Compiler

    C for AIX Version 7.0

    Note: Site must purchase; license is needed for core, mover and clients that develop programs with client API.

  • Software Drivers for Communications Adapters (as required)

    High Performance Parallel Interface Drivers Group (HIPPI/6000) (IBM Program Number 5765-551) (if IBM microchannel HIPPI adapter is required). (This should work, but we have not tested on AIX 6.2.)

  • Tape Device Drivers (as required)

    IBM 3590/3590E/3592 (Gen 1 and Gen 2)/3580(LTO Gen 1, Gen 2, Gen 3) (SCSI) - IBM AIX Enhanced Tape and Medium Changer Device Driver (Atape 9.1.0.0) and IBM Automated Tape Library Device Driver (atldd). If use SCSI PVR, the library device driver is not required.

    StorageTek 9840/9940/T10000 - StorageTek Automated Cartridge System Library Software (ACSLS) Level 7.0 and AIX OST device driver. If use SCSI PVR, the library device driver is not required.

    ADIC Automated Media Library (AML) - ADIC Distributed AML Server (DAS) and ABBA (AMU). (HPSS AML PVR is a special bid feature. Use of this feature must be negotiated with IBM. This feature was not tested for Release 6.2).

  • Secure Shell (ssh)

    Refer to the General Requirements section for more details

Prerequisite Software for HPSS Movers on SGI IRIX

  • SC4-IRIX-6.5(IRIX Operating System and latest patch set recommended by SGI)
  • SC4-XHIPOR-3.1 (HIPPI driver), if using HIPPI for the high speed network
  • SC4-NFS-6-2 (ONC3/NFS for IRIX 6.x release 2), if clients will use NFS
  • Ampex DST tape driver software, if required

Prerequisite Software for HPSS Mover and Clients on Sun

  • Solaris 9

Prerequisite Software for HPSS Servers and Movers on Linux

  • Red Hat

    Red Hat Enterprise Linux AS release 4 (Nahant Update 2, kernel 2.6.9-22.ELsmp)

    Red Hat Enterprise Linux AS release 4 (Nahant Update 2, kernel 2.6.9-22.ELsmp)

  • IBM DB2 Universal Database

    DB2 UDB version 8.2.2 for AIX. Note: Fixpack 9a for DB2 8.1 is the same as DB2 UDB Version 8.2.2. Contact your HPSS support representative to obtain the software.

    Note: Software and support included with HPSS; license is for HPSS use only.

  • MIT Kerberos

    MIT Kerberos 1.3.5, if you are using Kerberos authentication

    Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in MIT Kerberos.

  • IBM Tivoli Directory Server

    Tivoli Directory Server v6.0, if you are using LDAP authorization.

    Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

  • Java

    Either Java 1.4.2 JRE (Java Runtime Environment) OR Java 1.4.2 SDK (Software Development Kit). (The JRE is a subset of the SDK. The entire SDK is not required, unless need to recompile HPSS.)

  • Perl Version 5.8

    The Perl software can be obtained from http://www.perl.com/

  • C Compiler

    gcc compiler version 3.4.3

    Note: gss is included with the Linux OS; support is with OS.

  • Tape Device Drivers (as required)

    Note: The native device driver provided with Red Hat will be used for all HPSS supported drives.

    StorageTek 9840/9940/T10000 - StorageTek Automated Cartridge System Library Software (ACSLS) Level 7.0 if the Sun STKPVR is used. If the SCSI PVR is used, the library device driver is not required.

  • Secure Shell (ssh) Refer to the General Requirements section for more details.

HPSS 6.2.1

Prerequisite Software for HPSS Servers and Movers on AIX

  • AIX 5.2 or AIX 5.3

    Contact your AIX support representative to obtain the latest maintenance level. HPSS 6.2.1 was verified on AIX 5.3 with maintenance level 5+APAR IY89429. HPSS 6.2.1 was not tested on AIX 5.2, but AIX 5.2 is supported with maintenance level 9 + APAR IY89387.

    Note: Site must purchase software and support.

  • HACMP

    HACMP 5.4, if you purchased the High Availability HPSS option.

    Note: Site must purchase software and support.

  • IBM DB2 Universal Database

    DB2 UDB version 8.2 FixPack 4 for AIX. Note: Fixpack 12 for DB2 8.1 is the same as DB2 UDB Version 8.2 FixPAck 4. Contact your HPSS support representative to obtain the software.

    Note: Software and support included with HPSS; license for HPSS use only.
  • MIT Kerberos

    MIT Kerberos 1.3.5, if you are using Kerberos authentication.

    Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in MIT Kerberos.

  • IBM Tivoli Directory Server

    Tivoli Directory Server v6.0, if you are using LDAP authorization.

    Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

  • Java

    Either Java 1.4.2 JRE (Java Runtime Environment) OR Java 1.4.2 SDK (Software Development Kit). (The JRE is a subset of the SDK. The entire SDK is required to recompile HPSS.)
    32 bit: Upgrade to at least IBM Java build ca142-20060421 ( SR 5) which is APAR IY84053.
    Recommend to upgrade to the newest build of Java 1.4.2.

  • HPSSGUI Clients supported on:
    • AIX
    • Linux
    • Windows
  • Perl Version 5.8

    The Perl software can be obtained from http://www.perl.com/

  • AIX C Compiler

    C for AIX Version 7.0.0.8 (October 2006 PTF)

    Note: Site must purchase; license is needed for core, mover and clients that develop programs with client API.

  • Software Drivers for Communications Adapters (as required)

    High Performance Parallel Interface Drivers Group (HIPPI/6000) (IBM Program Number 5765-551) (if IBM microchannel HIPPI adapter is required). (This should work, but we have not tested with HPSS 6.2.1)

  • Tape Device Drivers (as required)

    IBM 3590/3590E/3592,TS1120/3580(LTO Gen 1, Gen 2, Gen 3) (SCSI) - IBM AIX Enhanced Tape and Medium Changer Device Driver (Atape 9.1.0.0) and IBM Automated Tape Library Device Driver (atldd). If use SCSI PVR, the library device driver is not required.

    Sun/StorageTek 9840/9940/T10000 - StorageTek Automated Cartridge System Library Software (ACSLS) Level 7.0 and AIX OST device driver. If use SCSI PVR, the library device driver is not required.

    ADIC Automated Media Library (AML) - ADIC Distributed AML Server (DAS) and ABBA (AMU). (HPSS AML PVR is a special bid feature. Use of this feature must be negotiated with IBM. This feature was not tested for Release 6.2). Use of SCSI PVR with ADIC i500 was tested for Release 6.2.1.

  • Secure Shell (ssh)

    Refer to the General Requirements section for more details

Prerequisite Software for HPSS Movers on SGI IRIX

  • SC4-IRIX-6.5(IRIX Operating System and latest patch set recommended by SGI)
  • SCI XIO or PCI HIPPI driver software, if using HIPPI for the high speed network
  • LTO tape driver software as contained in IRIX APD(Asynchronous Personality Daemon), if required.
  • Sony GY-8240 tape driver software as contained in IRIX APD(Asynchronous Personality Daemon, if required
  • Ampex DST tape driver software, if required

Prerequisite Software for HPSS Mover and Clients on Sun

  • Solaris 9

Prerequisite Software for HPSS Servers and Movers on Linux

  • Red Hat

    Red Hat Enterprise Linux AS release 4 (Nahant Update 3, kernel 2.6.9-34.ELsmp)

    Note: Site must purchase OS and support.

  • IBM DB2 Universal Database

    DB2 UDB version 8.2 FixPack 4 for Linux. Note: Fixpack 12 for DB2 8.1 is the same as DB2 UDB Version 8.2 FixPack 4. Contact your HPSS support representative to obtain the software.

    Note: Software and support included with HPSS; license is for HPSS use only.

  • Kerberos

    Kerberos 1.3.4, the one that is supplied with the OS if you are using Kerberos authentication

    Note: Optional: Site must download or purchase software and support if this is required. IBM Service Agreements for HPSS do not provide support for problems/defects in Kerberos.

  • IBM Tivoli Directory Server

    Tivoli Directory Server v6.0, if you are using LDAP authorization.

    Note: Optional: Site must purchase software and support if they require LDAP. Support for LDAP authorization is not provided by the IBM Service Agreements for HPSS.

  • Java

    Either Java 1.4.2 JRE (Java Runtime Environment) OR Java 1.4.2 SDK (Software Development Kit). (The JRE is a subset of the SDK. The entire SDK is required to recompile HPSS.)
    Upgrade to J2SE 1.4.2_11 or later within the Java 1.4.2 set of fixes/releases.

  • Perl Version 5.8

    The Perl software can be obtained from "http://www.perl.com/
  • C Compiler

    gcc compiler version 3.4.3

    Note: gss is included with the Linux OS; support is with OS.

  • Tape Device Drivers (as required)

    Note: The native device driver provided with Red Hat will be used for all HPSS supported drives.
    • Sun/StorageTek 9840/9940/T10000 - StorageTek Automated Cartridge System Library Software (ACSLS) Level 7.0 if the Sun STK PVR is used. If the SCSI PVR is used, the library device driver is not required.

  • Secure Shell (ssh) Refer to the General Requirements section for more details.

< Home

What's New?
HPSS at SC13 - SC13 is the 2013 international conference for high performance computing, networking, storage and analysis. SC13 will be in Denver, Colorado, from November 18th through 21st - Learn More. Come visit the HPSS folks at the IBM booth and schedule an HPSS briefing at the IBM Executive Briefing Center

2013 HPSS Users Forum - The 2013 HPSS Users Forum (HUF) will be hosted by the National Center for Atmospheric Research (NCAR), in Boulder, Colorado. The conference will run from November 4th - 7th. For more information and registration.

HPSS @ SEG13 - SEG13 is the 2013 annual meeting for the Society of Exploration Geophysics International Exposition. SEG13 will bring together all of the major companies involved in oil, gas, and mineral exploration, and new areas of civil engineering, environmental and archaeology. The conference will be held at the George R. Brown Convention Center in Houston, Texas, from September 22nd through 25th - Learn More. Come visit the HPSS folks at the IBM booth and schedule an HPSS briefing.

2013 HPSS Training - The next HPSS System Administration course from September 23rd - 27th. For more information and registration.

NCSA in production with RAIT - A massive 380 petabyte HPSS system was successfully deployed. -- the world's largest automated near-line data repository for open science. Learn more from NCSA, and HPCwire. The new HPSS system went into production using HPSS Redundant Array of Independent Tapes (RAIT) tiers, which is similar to RAID, providing redundancy for a tape stripe. RAIT allows HPSS customers to meet their performance and redundancy requirements without doubling their tape cost. Learn more about RAIT.

HPSS VFS for RHEL 6 is available - HPSS Virtual File System (VFS) allows a computer to use the UNIX mount command to mount the HPSS name space, much like NFS is mounted. Learn more about VFS.

+ More News     

Home    |    About HPSS    |    Services    |    Contact us
Copyright 2013, IBM Corporation. All Rights Reserved.